## abc2ps 1.2.5-1

=== Makefile ===
# Makefile for abc2ps-1.2.5
#
# Created by Anselm Lingnau for abc2ps Debian GNU/Linux package
#
CC = gcc
CFLAGS = -O2 -g -Wall
LDFLAGS = # none

DOCFILES = ReadMe.abc2ps New.Features Changes layout.txt

all: abc2ps

clean:
	rm -f *.o abc2ps Out.ps

# For Debian package generation (AL):
install:
	install -m 755 -s abc2ps $(DESTDIR)/usr/bin
	for i in *.fmt; do \
		install -m 644 $$i $(DESTDIR)/usr/lib/abc2ps; \
	done
	for i in $(DOCFILES); do \
		install -m 644 $$i $(DESTDIR)/usr/doc/abc2ps; \
		gzip -9 $(DESTDIR)/usr/doc/abc2ps/$$i; \
	done
	for i in *.abc; do \
		install -m 644 $$i $(DESTDIR)/usr/doc/abc2ps/examples; \
	done
	for i in *.1; do \
		install -m 644 $$i $(DESTDIR)/usr/man/man1; \
	done

abc2ps.o: buffer.h format.h music.h parse.h pssubs.h style.h subs.h \
	syms.h util.h

=== debian/changelog ===
abc2ps (1.2.5-1) unstable; urgency=low

  * New upstream version.
  * Changed maintainer address to lingnau@debian.org in control.

 -- Anselm Lingnau <lingnau@debian.org>  Wed, 26 Nov 1997 16:22:12 +0100

abc2ps (1.2.4b-2) unstable; urgency=low

  * Updated for libc6.

 -- Anselm Lingnau <lingnau@tm.informatik.uni-frankfurt.de>  Thu,  2 Oct 1997 10:17:23 +0200

abc2ps (1.2.4b-1) unstable; urgency=low

  * Initial Release.

 -- Anselm Lingnau <lingnau@tm.informatik.uni-frankfurt.de>  Fri, 22 Aug 1997 08:39:20 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "lingnau@debian.org"
End:

=== debian/control ===
Source: abc2ps
Section: text
Priority: extra
Maintainer: Anselm Lingnau <lingnau@debian.org>
Standards-Version: 2.3.0.1

Package: abc2ps
Architecture: any
Depends: ${shlibs:Depends}
Suggests: postscript-viewer, abcmidi
Description: Translates ABC music description files to PostScript
 This is the Debian port of the abc2ps program by Michael Methfessel.
 The program translates tunes written in the ABC format to PostScript,
 which can then be viewed using Ghostview et al. or printed on a
 PostScript printer or through Ghostscript.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=abc2ps

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd Changes
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
